<?xml version="1.0"?>
<!--
  Licensed to the Apache Software Foundation (ASF) under one
  or more contributor license agreements.  See the NOTICE file
  distributed with this work for additional information
  regarding copyright ownership.  The ASF licenses this file
  to you under the Apache License, Version 2.0 (the
  "License"); you may not use this file except in compliance
  with the License.  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an
  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  KIND, either express or implied.  See the License for the
  specific language governing permissions and limitations
  under the License.
-->
<feature>
  <name>opensocial-0.9</name>
  <dependency>opensocial-jsonrpc</dependency>
  <!-- <dependency>caja</dependency> -->
  <!-- Must include the "caja" feature to display samplecontainer -->
  <!-- gadgets when "use caja" is checked -->
  <gadget>    
    <script>
      var requiredConfig = {
        "path": gadgets.config.NonEmptyStringValidator,
        "domain": gadgets.config.NonEmptyStringValidator,
        "enableCaja": gadgets.config.BooleanValidator,
        "supportedFields": gadgets.config.ExistsValidator
      };

      gadgets.config.register("opensocial-0.8", requiredConfig,
        function(config) {
          var configParams = config["opensocial-0.8"];
          var path = configParams.path;
          path = path.replace("%host%", document.location.host);

          ShindigContainer = function() {
            JsonRpcContainer.call(this, path,
            configParams.domain, configParams.supportedFields);
          };
          ShindigContainer.inherits(JsonRpcContainer);

          opensocial.Container.setContainer(new ShindigContainer());
      });
    </script>
  </gadget>
</feature>
